package domowe.r2.z03_funkcje;

import java.util.Scanner;

public class SumaCyfr_Tekstowo2 {
	
	static int sumaCyfr(long liczba) {
		String tekstowo = String.valueOf(liczba);
		int suma = 0;
		for(int i = 0; i < tekstowo.length(); i++) {
			char ch = tekstowo.charAt(i);
			int wartosc = Integer.parseInt(String.valueOf(ch));
			suma += wartosc;
		}
		return suma;
	}

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		System.out.println("Podawaj liczby, a zakończ innym tekstem");
		while(sc.hasNextLong()) {
			long liczba = sc.nextLong();
			int wynik = sumaCyfr(liczba);
			System.out.println("Suma cyfr tej liczby wynosi " + wynik);
			System.out.println();
		}

		System.out.println("pa pa ");
	}

}

